/* 
Theme Name: Hello Eliophot Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team & Eliophot
Author: Eliophot
Author URI: https://www.eliophot.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready, Eliophot
*/

/* Add your custom styles here */

/* --------------------------------------
                COMMUN
-------------------------------------- */
/* formulaires */
.formulaire .elementor-field-type-acceptance label {
  font-family:
    var(--e-global-typography-6bf132c-font-family), Sans-serif !important;
  font-size: var(--e-global-typography-6bf132c-font-size) !important;
  font-weight: var(--e-global-typography-6bf132c-font-weight) !important;
  line-height: var(--e-global-typography-6bf132c-line-height) !important;
}

@media screen and (min-width: 768px) {
  .formulaire .elementor-field-type-submit .elementor-button {
    padding: 20px !important;
  }
}

/* hero commun */
.common_hero {
  clip-path: polygon(30% 49%, 70% 49%, 70% 51%, 30% 51%);
}

/* rs icons */
.rs-icon.dore-to-pink a svg:not(.facebook) path,
.rs-icon.grey-to-pink a svg:not(.facebook) path {
  transition: fill 0.3s;
}

.rs-icon.dore-to-pink a svg.facebook path,
.rs-icon.grey-to-pink a svg.facebook path {
  transition: stroke 0.3s;
}

.rs-icon.dore-to-pink a svg:not(.facebook) path {
  fill: var(--e-global-color-8aae1b0);
}

.rs-icon.dore-to-pink a svg.facebook path {
  stroke: var(--e-global-color-8aae1b0);
}

.rs-icon.dore-to-pink a:hover svg:not(.facebook) path,
.rs-icon.grey-to-pink a:hover svg:not(.facebook) path {
  fill: var(--e-global-color-primary);
}

.rs-icon.dore-to-pink a:hover svg.facebook path,
.rs-icon.grey-to-pink a:hover svg.facebook path {
  stroke: var(--e-global-color-primary);
}

/* boutons d'ancre */
.btn_anchor {
  gap: 20px;
}

.btn_anchor:after {
  content: url("/wp-content/uploads/2026/04/btn_fleche_olive.svg");
  transition: all 0.35s;
}

.btn_anchor:hover:after {
  transform: rotate(90deg);
}

/*COMMUN BTN DECOUVRIR*/
@media screen and (min-width: 1025px) {
  .btn_decouvrir:after {
    max-width: 0;
    opacity: 0;
    transition: all 0.4s !important;
  }

  .btn_decouvrir {
    transition: gap 0.4s !important;
    gap: 0px;
  }

  .btn_decouvrir:hover {
    gap: 20px !important;
  }

  .btn_decouvrir:hover:after {
    opacity: 1;
    max-width: 40px;
  }

  .btn_decouvrir.btn_decouvrir_olive:after {
    content: url("/wp-content/uploads/2026/04/btn_fleche_olive.svg");
  }

  .btn_decouvrir.btn_decouvrir_white:after {
    content: url("/wp-content/uploads/2026/04/btn_fleche_white.svg");
  }
}

/* Separator */
.separator-line {
  overflow: hidden;
}

/* custom swiper full screen */
.custom-full-screen .next,
.custom-full-screen .previous {
  cursor: pointer;
}

/* bloc services */
.services-images .services-image {
  position: absolute;
}

.services li span {
  padding-top: 45px;
  padding-bottom: 10px;
  transition: all 0.35s !important;
}

.services li {
  border-bottom: 1px solid var(--e-global-color-text);
}

@media screen and (min-width: 1025px) {
  .services li:hover span {
    transform: translateX(30px);
  }
}

.services-image {
  opacity: 0;
  transition: all 0.35s;
}

.services-image.active {
  opacity: 1;
}

/* --------------------------------------
                MENU BURGER
-------------------------------------- */
.pop_up-menu .menu-image {
  opacity: 0;
  transition: all 0.45s;
}

.pop_up-menu .menu-image.active {
  opacity: 1;
}

.pop_up-menu .menu-image .petite img {
  aspect-ratio: 288 / 431;
}

.pop_up-menu .menu-image .grande img {
  aspect-ratio: 534 / 727;
}

.burger-menu_ppal .menu-link {
  border-top: 1px solid rgba(0, 76, 108, 0.2);
  width: 100%;
}

.burger-menu_ppal .menu-item .has-submenu {
  padding-bottom: 4px !important;
}

.burger-menu_ppal .menu-item .has-submenu .sub-arrow {
  padding: 0 !important;
}

.burger-menu_sec li:after {
  border-radius: 50%;
}

.burger-menu_ppal .menu-item-has-children .sub-menu {
  display: flex !important;
  margin-top: 0 !important;
  position: unset !important;
  width: fit-content !important;
  padding-bottom: 13px;
}

@media screen and (min-width: 1025px) {
  .burger-menu_ppal .elementor-nav-menu {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
  }

  .burger-menu_ppal li a {
    text-align: end;
  }

  .burger-menu_ppal .menu-item-has-children .sub-menu {
    margin-left: auto !important;
  }

  .burger-menu_ppal .menu-item-has-children .sub-menu a {
    margin-left: 15px;
  }
}

@media screen and (max-width: 1024px) {
  .burger-menu_ppal li a {
    justify-content: flex-start !important;
  }

  .burger-menu_ppal .sub-menu li a {
    margin: 0;
    border: 0;
  }

  .burger-menu_ppal .menu-item-has-children .sub-menu a {
    margin-right: 15px;
  }

  .burger-menu_sec ul {
    flex-direction: column-reverse;
    align-items: flex-start;
  }
  .burger-menu_sec li::after {
    display: none;
  }

  .logo-belles-rives {
    position: absolute;
    right: 16px;
    bottom: 0;
  }
}

/* --------------------------------------
                FOOTER
-------------------------------------- */
.newsletter .elementor-field-type-submit {
  position: absolute;
  right: 0;
  top: 0;
  z-index: 20;
  width: fit-content;
}

.newsletter .elementor-field-type-submit .eliofont {
  line-height: 0;
}

.newsletter .elementor-field-option {
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.newsletter .elementor-field-option label {
  font-size: 13px;
}

.newsletter .elementor-field-type-acceptance {
  margin-top: 10px;
}

.newsletter .elementor-field-type-email input {
  height: 40px !important;
}

@media screen and (min-width: 1025px) {
  .footer-menu a {
    text-align: end;
  }
}

@media screen and (max-width: 1024px) {
  .footer-menu a:not(.elementor-sub-item) {
    justify-content: center !important;
  }
}

.footer-menu .elementor-sub-item {
  text-align: left !important;
}

@media screen and (max-width: 767px) {
	.footer-menu .elementor-sub-item {
  		border: 0;
		justify-content: center;
	}
}

/* --------------------------------------
                HOMEPAGE
-------------------------------------- */
/* HERO HOMEPAGE */
#hero-home .hero-home-bg_img {
  height: 100%;
}

#hero-home .hero-home-bg_img {
clip-path: polygon(45% 49%, 55% 49%, 55% 51%, 45% 51%);
}

#hero-home .header-home .part-right {
  opacity: 0;
}

#hero-home .header-home_logo {
  clip-path: polygon(50% 0%, 50% 0%, 50% 100%, 50% 100%);
}

#hero-home .header-home_logo #hotel,
#hero-home .header-home_logo #juana {
  fill: #004C6C;
}

#hero-home .header-home_logo #stars {
  opacity: 0;
}

#hero-home .big-texte-home p {
  opacity: 0;
}

#hero-home .logo-full-wrapper .text {
  opacity: 0;
  transform: translateY(2vh);
}

@media screen and (max-width: 767px) {
  #hero-home .hero-home-bg_img {
      clip-path: polygon(45% 49%, 55% 49%, 55% 51%, 45% 51%);
  }
}
/* slider rooms */
@media screen and (min-width: 1025px) {
  /*config du slider*/
  .rooms_slider .swiper {
    margin-right: -30%;
    margin-left: -30%;
  }

  .rooms_slider .rooms_slider-img {
    height: 100%;
    transition: all 0.35s;
    /*aspect-ratio: 429 / 643;*/
  }

  .rooms_slider .rooms_slider-content {
    width: 0;
    overflow: hidden;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    transition: all 0.35s;
  }

  .rooms_slider .swiper-slide .elementor-widget-image {
    transition: transform 0.35s;
  }

  /*slide active*/
  .rooms_slider .swiper-slide.swiper-slide-next .rooms_slider-content {
    width: 50%;
    border: 2px solid var(--e-global-color-primary);
    background: var(--e-global-color-b77d2b2);
  }

  .rooms_slider .swiper-slide.swiper-slide-next .rooms_slider-img {
    /*aspect-ratio: 603 / 818;*/
    width: 65% !important;
  }

  /*slide avant la active*/
  .rooms_slider .swiper-slide.swiper-slide-active > div {
    justify-content: flex-end !important;
  }

  /*toutes les slides, sauf la slide active */
  /*.rooms_slider .swiper-slide:not(.swiper-slide-next) {
    transform: scale(0.75);
  }*/

  .rooms_slider .swiper-slide:not(.swiper-slide-next) .elementor-widget-image {
    transform: scale(0.75);
  }

  .rooms_slider .swiper-slide:not(.swiper-slide-next) .rooms_slider-content {
    padding: 0;
  }

  /*boutons*/
  .rooms_slider .button-previous,
  .rooms_slider .button-next {
    cursor: pointer;
  }
}
/*RESPONSIVE*/
@media screen and (min-width: 1920px) {
  .rooms_slider .swiper-slide.swiper-slide-next .rooms_slider-img {
    max-width: 603px !important;
    height: 818px;
  }

  .rooms_slider .swiper-slide .rooms_slider-img {
    max-width: 440px !important;
    height: 646px;
  }
}

@media screen and (min-width: 1201px) and (max-width: 1919px) {
  .rooms_slider .swiper-slide.swiper-slide-next .rooms_slider-img {
    max-width: 549px !important;
   height: 745px;
  }

  .rooms_slider .swiper-slide .rooms_slider-img {
    max-width: 420px !important;
    height: 585px;
  }
}

@media screen and (max-width: 1024px) {
  .rooms_slider .swiper-slide {
    background-color: var(--e-global-color-b77d2b2);
  }
}

/* faq */
.e-n-accordion-item-title-icon .e-opened {
  transform: rotate(180deg);
}

/* --------------------------------------
                PAGE CHAMBRE
-------------------------------------- */
/* INTRODUCTION */
@media screen and (min-width: 1025px) {
  .rooms-introduction .ppal_img img {
    aspect-ratio: 566 / 818;
  }

  .rooms-introduction .img_sec img {
    aspect-ratio: 295 / 410;
  }
}

/* LISTING ROOMS */
@media screen and (min-width: 768px) {
  .listing_rooms .eliophot-room__group {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .listing_rooms .eliophot-room__group .eliophot-room__body,
  .listing_rooms .eliophot-room__group .eliophot-room__cta {
    width: 50%;
  }

  .listing_rooms .eliophot-room__cta_container {
    align-items: flex-end !important;
  }
}
.listing_rooms .eliophot-room__group {
  width: 100%;
}

.listing_rooms .eliophot-room__group .eliophot-room__cta_buttons {
  display: flex;
  flex-direction: row !important;
  flex-wrap: nowrap;
  gap: 20px;
  justify-content: flex-end !important;
}

.listing_rooms .elementor-carousel-image {
  height: 100%;
  background-size: cover;
  background-position: center;
}

@media screen and (min-width: 1025px) and (max-width: 1440px) {
  .listing_rooms .eliophot-room__group .eliophot-room__cta_buttons {
    flex-direction: column !important;
    align-items: flex-end !important;
  }

  .listing_rooms .elementor-grid {
    grid-column-gap: 2rem;
    grid-row-gap: 3.5rem;
  }
}

@media screen and (max-width: 767px) {
  .listing_rooms .elementor-grid {
    grid-row-gap: 3rem;
  }

  .listing_rooms .eliophot-room__cta {
    margin-top: 1rem;
  }
}

.listing_rooms .elementor-swiper-button {
  position: absolute;
  bottom: 0 !important;
  z-index: 2;
  top: unset !important;
  cursor: pointer;
}

.listing_rooms .elementor-swiper-button-next {
  right: 50%;
  transform: translateX(110%);
}

.listing_rooms .elementor-swiper-button-prev {
  left: 50%;
  transform: translateX(-110%);
}

@media screen and (min-width: 1025px) {
  .listing_rooms .eliophot-room__cta_button_second:after {
    max-width: 0;
    opacity: 0;
    transition: all 0.35s !important;
    content: url("/wp-content/uploads/2026/04/btn_fleche_olive.svg");
  }

  .listing_rooms .eliophot-room__cta_button_second {
    transition: gap 0.4s !important;
    gap: 0px;
    position: relative;
    display: flex;
    flex-direction: row;
  }

  .listing_rooms .eliophot-room__cta_button_second:hover {
    gap: 10px;
  }

  .listing_rooms .eliophot-room__cta_button_second:hover:after {
    opacity: 1;
    max-width: 40px;
  }
}

/*SWIPER SUITES*/
.suites-slider .elementor-carousel-image {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.suites-slider .eliophot-room__group {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-end;
  padding: 40px;
  background-image: linear-gradient(
    180deg,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.7) 100%
  );
  z-index: 2;
}

.suites-slider .eliophot-room__cta_buttons {
  gap: 20px;
}

.suites-slider .swiper-wrapper {
  padding-top: 3rem;
}

.suites-slider .elementor-swiper-button {
  position: absolute !important;
  top: 0 !important;
  cursor: pointer;
  z-index: 50;
}

.suites-slider .elementor-swiper-button-next {
  transform: translateX(115%) !important;
}

.suites-slider .eliophot-room__title a {
  width: 100% !important;
}

@media screen and (max-width: 767px) {
  .suites-slider .eliophot-room__body {
    width: 100%;
  }
  .suites-slider .eliophot-room__group {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 20px;
  }

  .suites-slider .eliophot-room__cta {
    width: 100%;
    margin-top: 1rem;
  }
}

/*CONTENU DIVERS 3 IMAGES*/
@media screen and (min-width: 1920px) {
  .contenu-3_images .offset_img {
    transform: translate(25%, -50%) !important;
  }
}
@media screen and (min-width: 1025px) {
  .contenu-3_images .ppal_img img {
    aspect-ratio: 546 / 723;
  }

  .contenu-3_images .offset_img {
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(50%, -50%);
  }

  .contenu-3_images .offset_img img {
    aspect-ratio: 295 / 410;
  }
}

/*MAILLAGE INTER PAGES*/
.section-maillage .maillage_paseo .elementor-cta__content {
  flex-direction: column-reverse;
  justify-content: center;
  gap: 15px;
}

/* --------------------------------------
                PAGE CHAMBRE N2
-------------------------------------- */
.room-detail .eliophot-room__option:before {
  padding-right: 8px;
  color: var(--e-global-color-secondary);
  font-weight: 700;
}

.room-detail .eliophot-room__option:nth-child(1):before {
  content: "Personnes :";
}

.room-detail .eliophot-room__option:nth-child(2):before {
  content: "Superficie :";
}

.room-gallery .elementor-carousel-image {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.room-gallery .elementor-swiper-button {
  position: absolute;
  bottom: 30px !important;
  top: unset !important;
  z-index: 2;
  cursor: pointer;
}

.room-gallery .elementor-swiper-button-prev {
  left: 50% !important;
  transform: translateX(-110%) !important;
}

.room-gallery .elementor-swiper-button-next {
  right: 50% !important;
  transform: translateX(110%) !important;
}

/*maillage chambre*/
.rooms-maillage .eliophot-room__body {
  position: absolute;
  z-index: 2;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  transition: background-color 0.35s;
  will-change: transform, opacity;
}

.rooms-maillage .eliophot-room__title {
  height: 100%;
}

.rooms-maillage .eliophot-room__title a {
  width: 100%;
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: center;
}

@media screen and (min-width: 1025px) {
  .rooms-maillage .eliophot-room__container:hover .eliophot-room__body {
    background-color: rgba(0, 0, 0, 0.55);
  }

  .rooms-maillage
    .eliophot-room__container:hover
    .swiper-slide-active
    .elementor-carousel-image {
    transform: scale(1.2);
  }
}

.rooms-maillage .eliophot-carousel__slider {
  width: 100%;
}

.rooms-maillage .eliophot-room__container .elementor-carousel-image {
  transition: all 0.65s;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.rooms-maillage > div > div > .swiper {
  padding-top: 5rem;
  height: auto !important;
}

.rooms-maillage .elementor-swiper-button {
  position: absolute;
  top: 0 !important;
  left: 50% !important;
  z-index: 2;
  cursor: pointer;
}

.rooms-maillage .elementor-swiper-button-next {
  transform: translateX(120%) !important;
}

/* --------------------------------------
                PAGE EVENEMENTS DAFFAIRES
-------------------------------------- */
/* section organisation evenement */
.events-section_organisation .ppal_img img {
  aspect-ratio: 419 / 595;
}

.events-section_organisation .sec_img img {
  aspect-ratio: 387 / 293;
}

/* section salons */
@media screen and (min-width: 1025px) {
  .espace-reception:after {
    content: "";
    background-image: linear-gradient(180deg, #000000b3 0%, #000000b3 50%);
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    transition: all 0.25s;
  }

  .espace-reception:hover:after {
    opacity: 1;
  }

  .espace-reception:hover:before {
    opacity: 0;
  }

  .espace-reception {
    transition: min-height 0.55s;
  }

  .espace-reception:hover {
    min-height: 500px;
  }

  .espace-reception .content-hover {
    opacity: 0;
    transform: translateY(100%);
    transition: all 0.55s;
  }

  .espace-reception:hover .content-hover {
    opacity: 1;
    transform: translateY(0);
  }
}

@media screen and (max-width: 1024px) {
  .espace-reception:before {
    background-image: linear-gradient(
      180deg,
      #000000b3 0%,
      #000000b3 50%
    ) !important;
  }
}

/* section formulaire */
@media screen and (min-width: 1920px) {
  .formulaire-evenements_affaires .elementor-form-fields-wrapper {
    row-gap: 30px;
  }
}

@media screen and (min-width: 768px) {
  .formulaire-evenements_affaires .elementor-form-fields-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(5, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
  }

  .formulaire-evenements_affaires .elementor-field-group-name {
    grid-area: 1 / 1 / 2 / 3;
  }

  .formulaire-evenements_affaires .elementor-field-group-societe {
    grid-area: 1 / 3 / 2 / 5;
  }

  .formulaire-evenements_affaires .elementor-field-group-email {
    grid-area: 2 / 1 / 3 / 3;
  }

  .formulaire-evenements_affaires .elementor-field-group-telephone {
    grid-area: 2 / 3 / 3 / 5;
  }

  .formulaire-evenements_affaires .elementor-field-group-type_de_demande {
    grid-area: 3 / 1 / 4 / 3;
  }

  .formulaire-evenements_affaires .elementor-field-group-nombre_de_personnes {
    grid-area: 4 / 1 / 5 / 3;
    align-items: flex-end;
  }

  .formulaire-evenements_affaires .elementor-field-group-message {
    grid-area: 3 / 3 / 5 / 5;
  }

  .formulaire-evenements_affaires .elementor-field-type-acceptance {
    grid-area: 5 / 1 / 6 / 5;
  }

  .formulaire-evenements_affaires .elementor-field-type-html {
    grid-area: 6 / 1 / 7 / 4;
  }

  .formulaire-evenements_affaires .elementor-field-type-submit {
    grid-area: 6 / 4 / 7 / 5;
  }
}

@media screen and (max-width: 767px) {
  .formulaire-evenements_affaires .elementor-form-fields-wrapper {
    grid-row-gap: 20px;
  }
}

/* --------------------------------------
                PASEO
-------------------------------------- */
/* ------ LOADER ------ */
.loader-screen_mask {
  -webkit-mask-image:
    linear-gradient(#fff 0 0),
    url("/wp-content/uploads/2026/04/logo-paseo_blanc.svg");
  -webkit-mask-repeat: no-repeat, no-repeat;
  -webkit-mask-position:
    0 0,
    center;
  -webkit-mask-size:
    100% 100%,
    940px;
  /*-webkit-mask-composite: xor;*/
  -webkit-mask-composite: exclude;

  mask-image:
    linear-gradient(#fff 0 0),
    url("/wp-content/uploads/2026/04/logo-paseo_blanc.svg");
  mask-repeat: no-repeat, no-repeat;
  mask-position:
    0 0,
    center;
  mask-size:
    100% 100%,
    940px;
  mask-composite: exclude;
}

.loader-logo_paseo_end {
  margin: auto;
  transform: translateY(100%);
}

@media screen and (max-width: 1025px) {
  .loader-screen_mask {
    -webkit-mask-size:
      100% 100%,
      90%;
    mask-size:
      100% 100%,
      90%;
  }
}

/* section introdution - galerie */
.paseo-gallery img {
  aspect-ratio: 463 / 695;
}

/* section sticky */
.celebration-section_sticky .celebration-images_container {
  height: calc(100vh - 96px);
  max-height: calc(100vh - 96px);
}

@media screen and (min-width: 1025px) {
  .celebration-section_sticky .celebration-images_container {
    position: sticky;
    top: 96px;
  }

  .celebration-section_sticky .item_images:not(.first) {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
  }

  .celebration-section_sticky .item_image1 .img-1 img {
    aspect-ratio: 445 / 668;
  }

  .celebration-section_sticky .item_image1 .img-2 img {
    aspect-ratio: 245 / 368;
  }

  .celebration-section_sticky .item_image1 .img-3 img,
  .celebration-section_sticky .item_image2 .img-3 img,
  .celebration-section_sticky .item_image3 .img-2 img {
    aspect-ratio: 1 / 1;
  }

  .celebration-section_sticky .item_image2 .img-1 img {
    aspect-ratio: 369 / 554;
  }

  .celebration-section_sticky .item_image2 .img-2 img {
    aspect-ratio: 261 / 327;
  }

  .celebration-section_sticky .item_image3 .img-1 img {
    aspect-ratio: 413 / 600;
  }

  .celebration-section_sticky .item_image3 .img-3 img {
    aspect-ratio: 314 / 381;
  }
}

/* section petit dejeuner */
.paseo-section_pdj .ppal_img img {
  aspect-ratio: 514 / 772;
}

/* section evenements */
.paseo-section_evenement .img_1 img {
  aspect-ratio: 562 / 375;
}

.paseo-section_evenement .img_2 img {
  aspect-ratio: 347 / 443;
}

.paseo-section_evenement .img_3 img {
  aspect-ratio: 315 / 472;
}

.paseo-section_evenement .img_4 img {
  aspect-ratio: 488 / 372;
}

.paseo-section_evenement .img_5 img {
  aspect-ratio: 409 / 613;
}

.paseo_event-img:not(.img_5) {
  overflow: hidden;
}

/* --------------------------------------
                PAGES LEGALES
-------------------------------------- */
.textes-legaux h2 {
  font-family: var(--e-global-typography-1207328-font-family), Sans-serif;
  font-size: var(--e-global-typography-1207328-font-size);
  font-weight: var(--e-global-typography-1207328-font-weight);
  text-transform: var(--e-global-typography-1207328-text-transform);
  font-style: var(--e-global-typography-1207328-font-style);
  text-decoration: var(--e-global-typography-1207328-text-decoration);
  line-height: var(--e-global-typography-1207328-line-height);
}

/* --------------------------------------
                ACTUS
-------------------------------------- */
@media screen and (min-width: 1025px) {
  .listing-articles .elementor-post__text {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: flex-end;
  }

  .listing-articles .elementor-post__title {
    width: 100%;
  }

  .listing-articles .elementor-post__excerpt {
    width: 60%;
  }

  .listing-articles .elementor-post__read-more:hover {
    background-color: var(--e-global-color-b77d2b2);
    color: var(--e-global-color-primary) !important;
    border-color: var(--e-global-color-primary) !important;
  }

  .listing-articles .elementor-post__read-more {
    align-self: flex-end;
  }
}

.listing-articles .elementor-post__read-more {
  align-self: flex-end;
  width: fit-content;
  background-color: var(--e-global-color-primary);
  border: 1px solid var(--e-global-color-primary);
  padding: 20px 20px 20px 20px;
  transition: all 0.35s;
}

.listing-articles img {
  aspect-ratio: 699 / 333;
  object-fit: cover;
  width: 100%;
}

@media screen and (max-width: 1024px) {
  .listing-articles .elementor-post__text {
    display: flex;
    flex-direction: column;
  }

  .listing-articles .elementor-post {
    flex-direction: column;
  }
}

/* --------------------------------------
                ACTU N2
-------------------------------------- */
.article-content .reading-time {
  font-family: var(--e-global-typography-3a96a60-font-family), Sans-serif;
  font-size: var(--e-global-typography-3a96a60-font-size);
  font-weight: var(--e-global-typography-3a96a60-font-weight);
  text-transform: var(--e-global-typography-3a96a60-text-transform);
  line-height: var(--e-global-typography-3a96a60-line-height);
  color: var(--e-global-color-text);
}

.article-content h2 {
  font-family: var(--e-global-typography-1207328-font-family), Sans-serif;
  font-size: var(--e-global-typography-1207328-font-size);
  font-weight: var(--e-global-typography-1207328-font-weight);
  line-height: var(--e-global-typography-1207328-line-height);
  margin-bottom: 2rem;
}

.article-content p + h2 {
  margin-top: 3rem;
}

.article-content figure {
  width: 100%;
  margin-top: 2.5rem;
  margin-bottom: 2.5rem;
}

.article-content figure img {
  aspect-ratio: 1/1;
  object-fit: cover;
  object-position: center;
  height: auto;
  width: 100%;
}

/* --------------------------------------
                GALERIE PHOTOS
-------------------------------------- */
.gallery a .e-gallery-image {
  aspect-ratio: 580/700;
}

/* --------------------------------------
                OFFRES EXCLUSIVES
-------------------------------------- */
/* listing */
.listing-offres .elementor-carousel-image {
  aspect-ratio: 699 / 333;
  background-size: cover;
  background-position: center;
  width: 100%;
}

.listing-offres .eliophot-offer__body {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.listing-offres .eliophot-offer__cta_container {
  justify-content: flex-end !important;
  align-items: flex-end !important;
}

.listing-offres .eliophot-offer__cta_button {
  padding: 20px;
}

.listing-offres .swiper-slide {
  align-content: end !important;
}

@media screen and (max-width: 1200px) {
  .listing-offres .eliophot-offer__body {
    padding-left: 2rem !important;
  }
}

@media screen and (min-width: 1025px) {
  .listing-offres .eliophot-offer__container {
    display: flex;
    flex-direction: row !important;
  }

  .listing-offres .eliophot-carousel__slider {
    width: 45% !important;
  }

  .listing-offres .eliophot-offer__body {
    width: 35% !important;
  }

  .listing-offres .eliophot-offer__cta {
    width: 20% !important;
  }

  .listing-offres .eliophot-offer__container {
    border-bottom: 1px solid var(--e-global-color-text) !important;
    padding-bottom: 4rem;
  }
}

@media screen and (max-width: 1024px) {
  .listing-offres .eliophot-offer__body {
    padding-left: 0 !important;
  }

  .listing-offres .eliophot-offers {
    grid-row-gap: 30px;
  }
}

/* btns filtres */
#listing-offres_filters-container .filter-button {
  font-family: var(--e-global-typography-ad13a71-font-family), Sans-serif;
  font-size: var(--e-global-typography-ad13a71-font-size);
  font-weight: var(--e-global-typography-ad13a71-font-weight);
  text-transform: var(--e-global-typography-ad13a71-text-transform);
  font-style: var(--e-global-typography-ad13a71-font-style);
  text-decoration: var(--e-global-typography-ad13a71-text-decoration);
  line-height: var(--e-global-typography-ad13a71-line-height);
  color: var(--e-global-color-secondary);
  border: none;
  transition: all 0.25s;
  border-radius: 0;
  padding: 0;
}

#listing-offres_filters-container .filter-button:hover,
#listing-offres_filters-container .filter-button:focus {
  background: transparent !important;
  color: var(--e-global-color-primary) !important;
}

#listing-offres_filters-container .filter-button.active {
  border-bottom: 2px solid var(--e-global-color-secondary);
}

.eliophot-offer__container.inactive {
  display: none !important;
}

/* PAGE DESTINATION N2 */
@media screen and (min-width: 1025px) {
  .destination-detail_img img {
    aspect-ratio: 762 / 928;
  }
}

/* OFFRE N2 */
@media screen and (min-width: 1025px) {
  .offre-detail_img img {
    aspect-ratio: 762 / 928;
  }
}
